Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service
Class CatalogServiceImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Direct Known Subclasses:
  CatalogManagerImpl, CatalogQueryManagerImpl, CategoryManagerImpl, CMCatalogQueryManagerBean, CMCategoryManagerBean, CMCustomDataManagerBean, CMProductItemManagerBean, CustomDataManagerImpl, EpmCustomDataManagerImpl, JdbcCatalogServiceImpl, ProductItemManagerImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogServiceImpl

extends SessionImpl

This is the base service implementation for all Catalog-related services. It contains common functionality that all Catalog services must implement; therefore, all Catalog service implementations should extend this class.
The `CatalogService` exposes an accessor for retrieving an associated `CatalogManager`. The returned `CatalogManager` implementation service is specified with the `ejb/CatalogManager` environment property.

See Also
  `CatalogService`, `CatalogServiceHome`, Serialized Form

Field Summary
`protected static String` | `CATALOG_MANAGER_HOME` Deprecated See BEA Commerce product offering
`protected static String` | `CATALOG_QUERY_DELEGATE` Deprecated See BEA Commerce product offering
`protected static String` | `CATEGORY_DELEGATE` Deprecated See BEA Commerce product offering
`protected static String` | `CUSTOM_DATA_DELEGATE` Deprecated See BEA Commerce product offering
`protected static String` | `PRODUCT_ITEM_DELEGATE` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogServiceImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`void` | `ejbCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`CatalogManager` | `getCatalogManager()` Deprecated See BEA Commerce product offering
`protected String` | `getCatalogManagerJndiName()` Deprecated See BEA Commerce product offering
`protected com.beasys.commerce.ebusiness.catalog.cm.config.CommerceConfigBean` | `getConfigBean()` Deprecated See BEA Commerce product offering
`protected void` | `setDelegateName(String type, String delegateName)` Deprecated See BEA Commerce product offering
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated See BEA Commerce product offering
`protected void` | `validateAuthorization(CatalogRequest request, int code)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORY_DELEGATE

    protected static final String CATEGORY_DELEGATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PRODUCT_ITEM_DELEGATE

    protected static final String PRODUCT_ITEM_DELEGATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_QUERY_DELEGATE

    protected static final String CATALOG_QUERY_DELEGATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CUSTOM_DATA_DELEGATE

    protected static final String CUSTOM_DATA_DELEGATE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CATALOG_MANAGER_HOME

    protected static String CATALOG_MANAGER_HOME

  Deprecated See BEA Commerce product offering
  The Catalog Manager is used to control access to the services for the Product Catalog. This constant identifies the environment variable in the deployment descriptor that allows the deployer to define which session bean to use.

Constructor Detail

### CatalogServiceImpl

    public CatalogServiceImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `SessionImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `SessionImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `SessionImpl`
  Throws
    `javax.ejb.EJBException`

### getCatalogManager

    public CatalogManager getCatalogManager()

  Deprecated See BEA Commerce product offering

  Returns a instance of the `CatalogManager`.

  Returns
    An instance of the `CatalogManager`.
  Throws
    `RemoteException` - on remote error.

### validateAuthorization

    protected void validateAuthorization(CatalogRequest request,
                                         int code)
                                  throws CatalogException

  Deprecated See BEA Commerce product offering

  This method validates that the caller's `CatalogRequest` object has the credentials to peform the operation in the code argument. See `CatalogRequest` for a list of the available codes.

  Parameters
    `request` - The CatalogRequest object of the caller.
    `code` - the operation code to be authorized.
  Throws
    `CatalogOperationNotAuthorizedException` - if the caller does not have sufficient credentials to perform the operation.
    `CatalogException`
  See Also
    `CatalogRequest`

### getCatalogManagerJndiName

    protected String getCatalogManagerJndiName()

  Deprecated See BEA Commerce product offering

  Helper method to retrieve the JNDI name of the Catalog Manager used by this service. The JNDI name of the CatalogManager is required by ViewIterators to allow them to lazily contact their parent services.

### getConfigBean

    protected com.beasys.commerce.ebusiness.catalog.cm.config.CommerceConfigBean getConfigBean()

  Deprecated See BEA Commerce product offering

  This need to be initialized in the create method

  Returns

### setDelegateName

    protected void setDelegateName(String type,
                                   String delegateName)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved